import { jsx } from "react/jsx-runtime";
import { ScreencastIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Screencast = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Screencast", ...props, children: /* @__PURE__ */ jsx(ScreencastIcon, { weight: variant }) });
  }
);
Screencast.displayName = "Screencast";
Object.assign(Screencast, { isGdsIcon: true });
export {
  Screencast
};
